Subject: [bug#75588] [PATCH] guix: utils: Delete temporary output files.

From: Kierin Bell <[email-masked]>
Date: Thu, 16 Jan 2025 10:02:17 -0500

Hi,

Ludovic Courtès <[email-masked]> writes:

> AFAICS the current code is fine because ‘template’ is modified by
> ‘mkstemp!’:

Yes, the code is fine --- this was a misunderstanding on my part.

I was doing something unusual that was causing temporary files to
persist, and blamed it on 'call-with-temporary-output-file':

--8<---------------cut here---------------start------------->8---
(call-with-temporary-output-file (lambda (fn port) ... (execlp "swaymsg"
"swaymsg" "exec" "--" "touch" "foo")))
--8<---------------cut here---------------end--------------->8---

Sorry for the noise!

Thanks.

-- 
Kierin Bell